import store from '@/store/index.js'


const RouterList = [] //路由历史列表





function RouterPush(url, loginCheck, isTab) { //url为需要跳转的路由，logincheck为布尔值，传ture就进行登陆检查，isTab判断是否是tab页面（tab页面与普通页面跳转方式不一样）
	if (RouterList.indexOf(url) != -1) {
		RouterList.splice(RouterList.indexOf(url), 1)
		RouterList.push(url)
	} else {
		RouterList.push(url)
	}
	if (loginCheck) {
		store.dispatch('getUserinfo')
		if (isTab) {
			if (store.state.loginstate) {
				uni.switchTab({
					url,
				})
			} else {
				uni.navigateTo({
					url: '../login/login'
				})
			}
		} else {
			if (store.state.loginstate) {

				uni.navigateTo({
					url,
				})
			} else {

				uni.navigateTo({
					url: '../login/login'
				})
			}
		}
	} else {
		if (isTab) {
			uni.switchTab({
				url,
			})
		} else {
			uni.navigateTo({
				url,
			})
		}
	}

}

function RouterBack(isTab) {//返回路由（返回到上一个调用了RouterPush（）函数的地址）
	
	if (isTab) {
		uni.switchTab({
			url: RouterList[RouterList.length - 1]
		})

	} else {
		uni.redirectTo({
			url: RouterList[RouterList.length - 1]
		});
	}
}


export {
	RouterPush,
	RouterBack
}
