var copyText = '' //获取粘贴板信息
var hs_device_type = ''
var client_id = ''
var model = ''
var system = ''
var uuid = ''

// --------------------------------------------
// |                打包预埋参数               |
// --------------------------------------------
var cachVersionUrl = 'http://47.110.235.26' //默认服务器地址
var agentId_def = '' //默认agentId
// var host_url_def = 'http://47.110.235.26' //默认hostIP
// var host_url_def = 'http://app.qthywl.com' //默认hostIP
var host_url_def = 'http://47.114.146.28:9102' //默认hostIP
// var host_url_def = 'http://192.168.31.31' //默认hostIP

function getcopytext() {
	//获取粘贴板
	return new Promise(resolve => {
		uni.getClipboardData({
			success: function(res) {
				copyText = res.data
				resolve()
			},
			fail: function(e) {
				console.log(e)
				resolve()
			}
		})
	})
}

function getsysteminfo() {
	//获取设备信息
	return new Promise(resolve => {
		uni.getSystemInfo({
			success: function(res) {
				hs_device_type = res.platform == 'android' ? 'andapp' : 'iosapp'
				client_id = res.platform == 'android' ? '6' : '5'
				model = res.model
				system = res.system
				resolve()
			},
			fail: function(e) {
				console.log(e)
			}
		})
	})
}

function getdevie() {
	//获取设备唯一id
	return new Promise(resolve => {
		plus.device.getInfo({
			success: function(e) {
				uuid = e.uuid
				resolve()
			},
			fail: function(e) {
				console.log(e)
			}
		})
	})
}

if (uni.getSystemInfoSync().platform == 'ios') {
	var info = ''
} else {
	var metaInfo = uni.requireNativePlugin('meta-info')
	var info = metaInfo.getMetaInfo('META-INF/gamechannel') //原生插件获取信息
}

function getAgentId() {
	//判定app为第一次启动时获取AgentId
	return uni.request({
		url: cachVersionUrl + '/home/getAgentId',
		method: 'POST',
		data: {
			copyText: copyText,
			gamechannel: info,
			host_url_def: host_url_def,
			format: 'json'
		},
		header: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		success(resdata) {
			if (resdata.data.code == 200) {
				uni.setStorageSync('AgentId', resdata.data.data.agentId)
			} else if (agentId_def == '') {
				uni.setStorageSync('AgentId', 1)
			}
			getcachVersion()
		}
	})
}

function getcachVersion() {
	//获取更新信息并更新baseURL
	return uni.request({
		url: cachVersionUrl + '/home/clientVersion',
		method: 'POST',
		data: {
			format: 'json',
			'agent-sub_ch': uni.getStorageSync('AgentId'),
			app_id: 100,
			cachVersion: uni.getStorageSync('cachVersion'),
			'agent-ch': '',
			host_url_def: host_url_def,
			client_id: client_id
		},
		header: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		success(resdata) {
			console.log(_this.$cachVersionUrl)
			if (resdata.data.code == 200 && resdata.data.data.refresh == 1) {
				uni.setStorageSync('cachVersion', resdata.data.data.cachVersion)
				uni.setStorageSync('host_url', resdata.data.data.host_url)
				uni.setStorageSync('baseURL', resdata.data.data.host_url)
				setbaseURL(resdata.data.data.host_url)
				_this.ChangebaseURL(resdata.data.data.host_url)
			} else if (uni.getStorageSync('host_url')) {
				uni.setStorageSync('baseURL', uni.getStorageSync('host_url'))
				setbaseURL(uni.getStorageSync('baseURL'))
				_this.ChangebaseURL(uni.getStorageSync('baseURL'))
			} else {
				uni.setStorageSync('baseURL', host_url_def)
				setbaseURL(host_url_def)
				_this.ChangebaseURL(host_url_def)
			}
			_this.$isResolve()
		}
	})
}

console.log(_this.$cachVersionUrl)
getcopytext()
	.then(function() {
		return getsysteminfo()
	})
	.then(function() {
		return getdevie()
	})
	.then(function() {
		if (uni.getStorageSync('AgentId')) {
			//检测app本地存储是否有值
			getcachVersion()
			//有值则检测baseurl是否为最新值
		} else {
			getAgentId() //否则判定为第一次启动
		}
	})
